package com.sooka.sponest.monitor.dahua.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 *
 * @author ruoyi
 * @date 2023-12-09
 */
public class CenternonitorTDahuaOperateLogUrl extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * centernonitor_t_dahua_operate_log主键id
     */
    private Long operateId;

    /**
     * url
     */
    private String url;


    @JsonProperty("id")
    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    @JsonProperty("operateId")
    public void setOperateId(Long operateId) {
        this.operateId = operateId;
    }

    public Long getOperateId() {
        return operateId;
    }

    @JsonProperty("url")
    public void setUrl(String url) {
        this.url = url;
    }

    public String getUrl() {
        return url;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("operateId", getOperateId())
                .append("url", getUrl())
                .toString();
    }
}
